import { ElementRef, EventEmitter, OnChanges, OnInit, ViewContainerRef } from '@angular/core';
import * as i0 from "@angular/core";
export declare class NgxBootstrapIconsPickerIconPickerDirective implements OnInit, OnChanges {
    private vcRef;
    private el;
    iconPicker: string;
    bipWidth: string;
    bipHeight: string;
    bipMaxHeight: string;
    bipIconSize: string;
    bipIconVerticalPadding: string;
    bipIconHorizontalPadding: string;
    bipKeepSearchFilter: string;
    bipPosition: string;
    bipFallbackIcon: string;
    bipPlaceholder: string;
    bipButtonStyleClass: string;
    bipDivSearchStyleClass: string;
    bipInputSearchStyleClass: string;
    iconPickerSelect: EventEmitter<string>;
    private dialog;
    private created;
    private ignoreChanges;
    constructor(vcRef: ViewContainerRef, el: ElementRef);
    onClick(): void;
    ngOnChanges(changes: any): void;
    ngOnInit(): void;
    openDialog(): void;
    iconSelected(icon: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgxBootstrapIconsPickerIconPickerDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NgxBootstrapIconsPickerIconPickerDirective, "[iconPicker]", never, { "iconPicker": "iconPicker"; "bipWidth": "bipWidth"; "bipHeight": "bipHeight"; "bipMaxHeight": "bipMaxHeight"; "bipIconSize": "bipIconSize"; "bipIconVerticalPadding": "bipIconVerticalPadding"; "bipIconHorizontalPadding": "bipIconHorizontalPadding"; "bipKeepSearchFilter": "bipKeepSearchFilter"; "bipPosition": "bipPosition"; "bipFallbackIcon": "bipFallbackIcon"; "bipPlaceholder": "bipPlaceholder"; "bipButtonStyleClass": "bipButtonStyleClass"; "bipDivSearchStyleClass": "bipDivSearchStyleClass"; "bipInputSearchStyleClass": "bipInputSearchStyleClass"; }, { "iconPickerSelect": "iconPickerSelect"; }, never, never, false>;
}
